Bug 67585 - Other: Calc: Inconsistent Flip menu items
Summary: Other: Calc: Inconsistent Flip menu items
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: lowest trivial
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: BSA target:4.2.0 target:4.4.0
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2013-07-31 13:42 UTC by Stanislav Horacek
Modified: 2014-12-02 01:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of the menu (23.09 KB, image/png)
2013-07-31 13:42 UTC, Stanislav Horacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2013-07-31 13:42:49 UTC
Created attachment 83366 [details]
screenshot of the menu

Problem description: 

Steps to reproduce:
1. In Calc, choose Format - Flip.

Current behavior:
You see "Flip Vertically" and "Flip Object Horizontally" items with no icons.

Expected behavior:
You should see consistent "Flip Vertically" and "Flip Horizontally" items, icons should be displayed too (as in the same menu in Writer).
Operating System: Ubuntu
Version: 4.1.0.4 release
Comment 1 Joel Madero 2013-08-01 18:59:56 UTC
In writer I see "flip horizontally" twice - also a bug I think?

In any case:

Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.5.beta0
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Trivial - no impact really
Lowest - just a label



I'll fix it

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Thomas van der Meulen 2013-08-01 19:09:16 UTC
Thank you for your bug report, I can reproduce this bug running LibreOffice Version: 4.1.0.4
Build ID: 89ea49ddacd9aa532507cbf852f2bb22b1ace28 on Mac osx 10.8.4.
Comment 3 Commit Notification 2013-08-13 10:47:50 UTC
Joel Madero committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=25e23919c8d8530089bd78bc33689a955e7f49ee

fdo#67585 Spreadsheet Label Consistency + Icons



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Stanislav Horacek 2013-08-15 13:55:49 UTC
Checked in master (Build ID: 1e379e3c9aa62c6cf46c32175d5e8c9d4f4bca09):

Labels are OK now, icons are missing (but they are not too important).
Comment 5 ign_christian 2013-09-05 08:14:46 UTC
Hi.. Could we consider problems also fixed by Bug 67584 & Bug 42434?
Comment 6 Stanislav Horacek 2013-09-05 09:26:50 UTC
Those fixes had no effect on this bug.
Personally, I am happy with the labels changed, but I think Joel wanted also to add icons.
Comment 7 A (Andy) 2014-09-27 19:47:56 UTC
reproducible with LO 4.3.2.2 (Win 8.1)

In WRITER we have icons but it CALC not.  Therefore, I think it is probably not that difficult the show the WRITER icons also in CALC.
Comment 8 Yousuf Philips (jay) (retired) 2014-11-03 19:50:04 UTC
Added patch to fix the icon issue for tango and galaxy - https://gerrit.libreoffice.org/12229
Comment 9 A (Andy) 2014-11-03 19:58:55 UTC
Wow, Jay, just added to your Meta Bug and you have already submitted a patch. Thanks a lot!
Comment 10 Commit Notification 2014-11-04 06:42:43 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9bdab7b3d2132817350ee7de5a30537732f85f9

fdo#67585 - fix missing flip icons in Calc menu

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.